@mixin make-border-width($s) {
    #{$s}border-{
        @for $i from 0 to 17{
            &#{$i}{
                border-width: #{$i}px;
            }
        }
        &y-{
            @for $i from 0 to 17{
                &#{$i}{
                    border-top-width: #{$i}px;
                    border-bottom-width: #{$i}px;
                }
            }
        }
        &x-{
            @for $i from 0 to 17{
                &#{$i}{
                    border-right-width: #{$i}px;
                    border-left-width: #{$i}px;
                }
            }
        }
        &t-{
            @for $i from 0 to 17{
                &#{$i}{
                    border-top-width: #{$i}px
                }
            }
        }
        &r-{
            @for $i from 0 to 17{
                &#{$i}{
                    border-right-width: #{$i}px
                }
            }
        }
        &b-{
            @for $i from 0 to 17{
                &#{$i}{
                    border-bottom-width: #{$i}px
                }
            }
        }
        &l-{
            @for $i from 0 to 17{
                &#{$i}{
                    border-left-width: #{$i}px
                }
            }
        }
    }
}